//
// Author: Ian Reinhart Geiser <geiseri@kde.org>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "posviewimp.h"

#include <kjsembed/kjsembedpart.h>
#include <kjsembed/jsconsolewidget.h>
#include <kjsembed/jsbinding.h>

#include <qgroupbox.h>
#include <qdatetime.h>
#include <qcolor.h>

POSViewImp::POSViewImp(QWidget *parent, const char *name)
    :POSViewBase(parent, name)
{
    m_part = new KJSEmbed::KJSEmbedPart(0, "kjsembed_part", this,"JSEmbed");
	m_part->addObject(appFrame, "appFrame");
	loadScript();
}

void POSViewImp::loadScript()
{
	m_part->runFile("test.js", m_part->globalObject() );
}


